# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2018-12-27 17:35
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import misago.themes.utils
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Css',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('url', models.URLField(blank=True, max_length=255, null=True)),
                ('file', models.FileField(blank=True, max_length=255, null=True, upload_to=misago.themes.utils.upload_css_to)),
                ('hash', models.CharField(max_length=12)),
                ('size', models.PositiveIntegerField()),
                ('order', models.IntegerField(default=0)),
                ('is_enabled', models.BooleanField(default=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
            ],
            options={
                'ordering': ['order'],
            },
        ),
        migrations.CreateModel(
            name='Font',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('file', models.FileField(max_length=255, upload_to=misago.themes.utils.upload_font_to)),
                ('hash', models.CharField(max_length=12)),
                ('type', models.CharField(max_length=255)),
                ('size', models.PositiveIntegerField()),
                ('modified_on', models.DateTimeField(auto_now=True)),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('file', models.ImageField(height_field='height', max_length=255, upload_to=misago.themes.utils.upload_image_to, width_field='width')),
                ('hash', models.CharField(max_length=12)),
                ('type', models.CharField(max_length=255)),
                ('width', models.PositiveIntegerField()),
                ('height', models.PositiveIntegerField()),
                ('size', models.PositiveIntegerField()),
                ('thumbnail', models.ImageField(max_length=255, upload_to=misago.themes.utils.upload_image_thumbnail_to)),
                ('modified_on', models.DateTimeField(auto_now=True)),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='Theme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('dirname', models.CharField(default=misago.themes.utils.generate_theme_dirname, max_length=8)),
                ('is_default', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=False)),
                ('version', models.CharField(blank=True, max_length=255, null=True)),
                ('author', models.CharField(blank=True, max_length=255, null=True)),
                ('url', models.URLField(blank=True, max_length=255, null=True)),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='children', to='misago_themes.Theme')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='image',
            name='theme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='images', to='misago_themes.Theme'),
        ),
        migrations.AddField(
            model_name='font',
            name='theme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='fonts', to='misago_themes.Theme'),
        ),
        migrations.AddField(
            model_name='css',
            name='theme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='css', to='misago_themes.Theme'),
        ),
    ]
